Fedora 31 to 32 upgrade error

Trying to upgrade Fedora 31 to 32.

Went through the normal stages:

sudo dnf upgrade --refresh
sudo dnf install dnf-plugin-system-upgrade
sudo dnf system-upgrade download --releasever=32

I then get this error:

Error:
Problem: package apt-plugins-list-0.5.15lorg3.95-38.git522.fc31.x86_64 requires apt = 0.5.15lorg3.95-38.git522.fc31, but none of the providers can be installed

  • apt-0.5.15lorg3.95-38.git522.fc31.x86_64 does not belong to a distupgrade repository
  • problem with installed package apt-plugins-list-0.5.15lorg3.95-38.git522.fc31.x86_64
    (try to add ‘–skip-broken’ to skip uninstallable packages)

I’ve tried --skip-broken to no luck. Any help?

Probably has to do with:

I’d suggest removing apt, trying the upgrade and then re-installing.

Thanks

5 Likes

That worked. Thank you

1 Like